@font-face {
    font-family: "Poppins";
    src: url(fonty/Poppins/Poppins-Regular.ttf) format("truetype");
    font-weight: normal;
}

@font-face {
    font-family: "Poppins";
    src: url(fonty/Poppins/Poppins-ExtraBold.ttf) format("truetype");
    font-weight: bold;
}

/* Tělo stránky */
body {
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    color: black;
    background: #F9F9F9;
    box-sizing: border-box;
    margin: 0;
    padding: 100px 0 0 0;
    min-width: 320px;
    text-align: center;
    display: flex;
    flex-direction: column;
}

body > header {
    height: 100px;
    width: 100%;
    background: rgb(223, 70, 164);
    color: whitesmoke;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px 0 20px;
    position: fixed;
    z-index: 1;
    top: 0;
}

element.style {
    list-style-type: none;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

th, td {
    border: 1px solid black;
    padding: 10px;
    text-align: center;
}

th {
    background-color: #f2f2f2;
}

footer {
    box-sizing: border-box;
    text-align: center;
    height: 100px;
    color: whitesmoke;
    background: rgb(223, 70, 164);
    padding: 50px 0 10px 0;
    clip-path: polygon(0 30px, 100% 30px, 100% 105%, 0 105%);
    position: relative;
}

html {
    background: rgb(223, 70, 164);
}

html, body {
    overflow-x: hidden;
    overflow-y: auto;
    height: 100%;
}

main {
    flex: 1 0 auto; /* Tento řádek umožní hlavnímu obsahu roztáhnout se a zabrat dostupný prostor */
    padding-top: 100px; /* Kompenzace za pevnou záhlaví */
    padding: 20px;
}

img {
    max-width: 100%;
    height: auto;
}

#logo {
    height: 40px;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;
    padding: 0 15px;
}

#logo > * {
    margin: 0 auto;
}

#logo h1 {
    font-weight: normal;
    font-size: 1.4rem;
    line-height: 1.2rem;
    color: whitesmoke;
}

#logo h1 span {
    font-weight: bold;
    text-transform: uppercase;
}

#logo small {
    text-transform: uppercase;
    font-size: 0.75rem;
    color: whitesmoke;
}

ul, ul li {
    list-style-type: none !important; 
    padding-left: 0;
    margin: 0;
}

/* Navigační lišta */
nav ul {
    margin: 0;
    list-style-type: none;
    display: flex;
    align-items: center;
    height: 100%;
}

nav ul li {
    padding: 0 25px;
    margin: 0 5px;
    font-size: 1em;
    line-height: 4.3em;
}

nav ul li a {
    position: relative;
    color: whitesmoke;
    text-decoration: none;
    text-transform: uppercase;
    padding: 8px 0;
}

nav ul li a:not(.kontakt-tlacitko)::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: #de9d07;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.3s ease;
}

nav ul li a:not(.kontakt-tlacitko):hover::after {
    transform: scaleX(1);
    transform-origin: center;
}

.kontakt-tlacitko,
.kontakt-tlacitko-menu {
    background: #de9d07;
    padding: 10px 20px;
    border-radius: 20px;
    color: whitesmoke;
}

.kontakt-tlacitko:hover,
.kontakt-tlacitko-menu:hover {
    filter: brightness(140%) contrast(85%);
    border: 0;
}

/* Boční menu */
.kontakt-tlacitko-menu {
    background: none;
    padding: 0;
    border: none;
    text-decoration: none;
    position: relative;
    display: inline-block;
}

nav ul li.menu {
    display: none; /* Skrytí menu ikony na desktopu */
    padding: 10px;
    margin: 0;
    background: whitesmoke;
}

nav ul li.menu img {
    display: block;
    width: 35px;
    height: 35px;
}

.text {
    background: #de9d07;
    padding: 0 20px;
    border-radius: 30px;
    color: whitesmoke;
    font-size: 1rem;
}

.text:hover {
    filter: brightness(140%) contrast(85%);
    border: 0;
}

.tel h2 {
    background: #de9d07;
    padding: 10px 20px;
    border-radius: 20px;
    color: whitesmoke;
}

.tel:hover h2 {
    filter: brightness(140%) contrast(85%);
    border: 0;
}



/* Nastavení článku */
article {
    margin: 0 auto;
    max-width: 960px;
    padding: 30px 50px 10px 50px;
}

article h1,
article h2,
article h3,
article h4,
article h5,
article h6 {
    color: rgb(48, 48, 48);
    padding: 10px 0;
    text-align: center;
}

article h1 {
    font-size: 2.3em;
    font-weight: bold;
    text-transform: uppercase;
    margin: 0 auto ;
    text-align: center;
}

article h2 {
    font-size: 1.5em;
    text-align: center;
}

article header {
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}

article section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

article section .centered {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-bottom: 1.5em;
    line-height: 1.8em;
}

article section .centered-img {
    margin-bottom: 10px;
}

a {
    color: #de9d07;
}

section {
    overflow: hidden; /* Zajistí správné obtékání obsahu */
}

.image {
    float: right; /* Zarovnání obrázku na pravou stranu */
    margin-bottom: 10px; /* Odstup pod obrázkem */
}

.avatar {
    width: 260px; /* Nastavte šířku obrázku podle potřeby */
    height: auto; /* Zachová poměr stran */
    border-radius: 10px; /* Mírné zakulacení rohů obrázku (volitelné) */
}


.cistic {
    clear: both;
}

.centrovany {
    text-align: center;
}

.vlevo {
    max-width: 1440px;
    margin-left: auto;
    margin-right: auto;
    float: left;
    padding-right: 10%;
    padding-left: 10%;
    position: relative;
}

.nadpis {
    margin-bottom: 40px;
}

#reference {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px; /* mezery mezi obrázky */
}

/* Obrázky uvnitř kontejneru */
#reference a {
    display: block; /* zajistí, že odkazy budou blokové elementy */
    width: 80px; /* pevná šířka obrázků */
    height: 100px; /* pevná výška obrázků */
    overflow: hidden; /* skryje přetékající obsah */
    border: 1px solid rgb(200, 192, 192);
    padding: 6px;
    box-shadow: 3px 3px 6px #999999;
    margin-right: 6px;
}

/* Obrázky uvnitř odkazů */
#reference img {
    width: 100%; /* obrázky budou mít šířku kontejneru */
    height: 100%; /* obrázky budou mít výšku kontejneru */
    object-fit: cover; /* ořízne obrázky, aby se vešly do kontejneru */
}

.social-icons {
    display: flex;
    justify-content: center; /* Vycentrování ikon horizontálně */
    gap: 20px; /* Rozestupy mezi ikonami */
    margin: 20px 0; /* Odstup od okolního obsahu */
}

.social-icon img {
    width: 40px; /* Nastavte šířku ikon dle potřeby */
    height: 40px; /* Nastavte výšku ikon dle potřeby */
}


iframe {
    width: 100%;
    height: 100vh;
    border: 0;
}

.time {
    font-size: 1.2rem;
    line-height: 1rem;
}

#side-menu {
    position: fixed;
    right: -250px;
    top: 0;
    height: 100%;
    width: 250px;
    background: rgb(223, 70, 164);
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    transition: right 0.3s ease;
    z-index: 2;
    padding-top: 50px;
}

#side-menu ul {
    list-style-type: none;
    padding: 0;
    width: 100%;
}

#side-menu ul li {
    padding: 15px 0;
    width: 100%;
    text-align: center;
}

#side-menu ul li a {
    color: whitesmoke;
    text-decoration: none;
    font-size: 1.2em;
    display: inline-block;
    position: relative;
    padding-bottom: 2px;
}

#side-menu ul li a::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: #de9d07;
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

#side-menu ul li a:hover::after {
    transform: scaleX(1);
}

/* Stylování pro tlačítko menu */
.menu-button {
    display: none; /* Skryté ve výchozím nastavení */
    background: none;
    border: none;
    padding: 0 15px;
    cursor: pointer;
    position: absolute; /* Umožní umístit tlačítko vpravo nahoře */
    right: 20px; /* Nastavte vzdálenost od pravého okraje */
    top: 50%; /* Nastavte vzdálenost od horního okraje */
    transform: translateY(-50%); /* Vertikálně vystředí tlačítko */
    z-index: 3;
}

.menu-button img {
    width: 35px;
    height: 35px;
}

#side-menu ul li a:hover::after {
    transform: scaleX(1);
}

.show {
    right: 0;
}

/* Změny pro mobilní zobrazení */
@media (max-width: 768px) {
    /* Zobrazí tlačítko menu na mobilních zařízeních */
    .menu-button {
        display: block;
    }
    
    nav ul {
        display: none;
    }

    nav ul li.menu {
        display: inline-block;
    }
    
    #side-menu {
        right: -250px; /* Skryto mimo obrazovku */
    }
    
    #side-menu.show {
        right: 0; /* Posune menu zpět na obrazovku */
    }

    /* Úpravy pro menší obrazovky */
    body {
        padding: 70px 0 0 0;
    }
    
    body > header {
        padding: 0 10px;
    }

    article {
        padding: 20px 20px 10px 20px;
    }

    article h1 {
        font-size: 1.8em;
        padding: 30px 0 20px 0;
        margin-top: 10px; /* Snížení odsazení nad nadpisem */
        
    }

    article h2 {
        font-size: 1.3em;
        margin-top: 10px; /* Snížení odsazení nad nadpisem */
        margin-bottom: 10px; /* Snížení odsazení pod nadpisem */
    }

    article section .centered {
        padding: 0 10px;
    }

    nav ul li {
        padding: 0 10px;
    }

    #side-menu ul li a {
        font-size: 1em;
    }

    #side-menu ul li {
        padding: 10px 0;
    }

    th, td {
        padding: 5px;
    }
}

/* Další změny pro menší obrazovky */
@media (max-width: 480px) {
    article h1 {
        font-size: 1.5em;
        margin-top: 10px; /* Snížení odsazení nad nadpisem */
        margin-bottom: 10px; /* Snížení odsazení pod nadpisem */
    }

    article h2 {
        font-size: 1.1em;
        margin-top: 10px; /* Snížení odsazení nad nadpisem */
        margin-bottom: 30px; /* Snížení odsazení pod nadpisem */
    }
}